de.caff.util.settings.swing

## Class SwingStringPreferenceProperty

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.AbstractBasicLocalizableChangeableItem
    - - de.caff.util.settings.swing.AbstractBasicSimpleEditableChangeableItem
      - - de.caff.util.settings.swing.SwingStringProperty
        - - de.caff.util.settings.swing.SwingStringPreferenceProperty

- All Implemented Interfaces:
    ChangeableItem, PreferenceProperty, Property<java.lang.String>, StringPreferenceProperty, EditablePreferenceProperty, EditableProperty, java.io.Serializable

      public class SwingStringPreferenceProperty
      extends SwingStringProperty
      implements StringPreferenceProperty, EditablePreferenceProperty

  A preference property with a string value.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.caff.util.settings.swing.SwingStringProperty

      `DEFAULT_ROWS, value`

    - ### Fields inherited from interface de.caff.util.settings.PreferenceProperty

      `PROPERTY_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingStringPreferenceProperty(java.lang.String basicName, java.lang.String baseTag)` Constructor.
    `SwingStringPreferenceProperty(java.lang.String basicName, java.lang.String baseTag, java.lang.String value)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFrom(java.util.prefs.Preferences preferences)` Read the property value from the preferences.
    `void` | `storeTo(java.util.prefs.Preferences preferences)` Store the current property value in the preferences.

    - ### Methods inherited from class de.caff.util.settings.swing.SwingStringProperty

      `getColumns, getEditorProvider, getValue, setValue`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicLocalizableChangeableItem

      `getBaseTag, getLabelString, getMenuString, getName, getString`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.Property

      `getValue, setValue`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditableProperty

      `getEditorProvider, getName`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Constructor Detail

    - #### SwingStringPreferenceProperty

          public SwingStringPreferenceProperty(@NotNull
                                               java.lang.String basicName,
                                               @NotNull
                                               java.lang.String baseTag)

      Constructor.
      Parameters:
        `basicName` - basic name
        `baseTag` - basic i18n tag

    - #### SwingStringPreferenceProperty

          public SwingStringPreferenceProperty(@NotNull
                                               java.lang.String basicName,
                                               @NotNull
                                               java.lang.String baseTag,
                                               @NotNull
                                               java.lang.String value)

      Constructor.
      Parameters:
        `basicName` - basic name
        `baseTag` - basic i18n tag
        `value` - default value

  - ### Method Detail

    - #### readFrom

          public void readFrom(@NotNull
                               java.util.prefs.Preferences preferences)

      Read the property value from the preferences.
      Specified by:
        `readFrom` in interface `PreferenceProperty`
      Parameters:
        `preferences` - preferences from where to read the property value

    - #### storeTo

          public void storeTo(@NotNull
                              java.util.prefs.Preferences preferences)

      Store the current property value in the preferences.
      Specified by:
        `storeTo` in interface `PreferenceProperty`
      Parameters:
        `preferences` - preferences where to store the property value